InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::IMAConfig Struct Reference
Inheritance diagram for inertia::IMAConfig:
[legend]
Collaboration diagram for inertia::IMAConfig:
[legend]

## Public Member Functions
| IMAConfig (uint8_t const *in)
| IMAConfig (std::wstring const &argString)
ConfigType | GetConfigType () const override
void | GetBytes (std::vector< uint8_t > &out) const override
const std::wstring | ToString () const override
const std::wstring | ToSimpleString (uint16_t const globalRate) const
const std::pair< unsigned, Channel > | GetChannel () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()
static unsigned | GetLength ()

## Public Attributes
bool | adoptInterval
bool | adoptValuesPerMessage
IMAConfigVersion | imaVersion
uint16_t | interval
uint8_t | valuesPerMessage
uint8_t | samplingChannel
uint8_t | subscribedChannel
Public Attributes inherited from inertia::SamplingConfig
bool | enableSampling
bool | enableTransmit
bool | enableLogging
bool | adoptMod
uint32_t | mod

## Additional Inherited Members
Protected Member Functions inherited from inertia::SamplingConfig
| SamplingConfig (uint8_t const *in)
| SamplingConfig (std::wstring const &argString)
void | GetBytes (std::vector< uint8_t > &out) const override
const std::wstring | ToString () const override
const std::wstring | ToSimpleString (uint16_t const globalRate) const
Protected Member Functions inherited from inertia::LegacyConfig
| LegacyConfig (uint8_t const *in)
| LegacyConfig (std::wstring const &argString)
Protected Member Functions inherited from inertia::AbstractConfig
| AbstractConfig (uint8_t const *in)
| AbstractConfig (std::wstring const &argString)
| AbstractConfig (AbstractConfig const &)=default
AbstractConfig & | operator= (AbstractConfig const &)=default
Static Protected Member Functions inherited from inertia::SamplingConfig
static const po::options_description | GetOptionDescription ()

## Member Function Documentation

## ◆ GetBytes()

void inertia::IMAConfig::GetBytes | ( | std::vector< uint8_t > & | out | ) | const
| override virtual

Implements inertia::AbstractConfig.

## ◆ GetConfigType()

ConfigType inertia::IMAConfig::GetConfigType | ( |  | ) | const
| override virtual

Implements inertia::AbstractConfig.

## ◆ ToString()

const std::wstring inertia::IMAConfig::ToString | ( |  | ) | const
| override virtual

Implements inertia::AbstractConfig.

The documentation for this struct was generated from the following file:

- IMAConfig.h